mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Runtime.InteropServices.ComVisible(true)

To obtain this value for a module, use the method.

The values in this enumeration correspond to the constants IMAGE_FILE_MACHINE_I386, IMAGE_FILE_MACHINE_IA64, and IMAGE_FILE_MACHINE_AMD64 in the unmanaged Win32 API, which are accessed by the unmanaged GetPEKind function.

Identifies the platform targeted by an executable.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.ImageFileMachine

  Targets a 64-bit AMD processor.

- Field
  4.0.0.0
  System.Reflection.ImageFileMachine

  Targets an ARM processor.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.ImageFileMachine

  Targets a 32-bit Intel processor.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.ImageFileMachine

  Targets a 64-bit Intel processor.